Skip to main content
GET
/
v5
/
payouts
/
payout
Get a payout
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/payouts/payout \
  --header 'Authorization: Bearer <token>'
{
  "bankTransferId": 123,
  "status": "ACTIVE",
  "type": "CONFIRMED",
  "amount": 50.01,
  "date": "2021-01-04",
  "description": "Online Banking payment",
  "creditAccountId": 123,
  "debitAccountId": 123,
  "apiTransactionId": "<string>",
  "bankAccountId": 123,
  "bankDescription": "<string>",
  "apiAccountNo": "<string>",
  "apiAccountName": "Citi Premier® Card",
  "apiInstitutionId": "<string>",
  "matchingBankTransferId": 123,
  "customData": {},
  "transactions": [
    {
      "entity": "EXPENSE",
      "entityId": 123,
      "status": "ACTIVE",
      "amount": 123,
      "date": "2023-11-07T05:31:56Z",
      "bankAccountId": 123,
      "description": "<string>",
      "bankDescription": "<string>",
      "apiTransactionId": "<string>",
      "apiAccountId": "<string>",
      "apiAccountNo": "<string>",
      "apiAccountName": "Citi Premier® Card",
      "apiInstitutionId": "<string>",
      "customData": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

bankTransferId
integer<int64>
required

Id of the bank transfer

Response

200 - application/json

Successful operation

bankTransferId
integer<int64>

Id of the corresponding bank transfer

status
enum<string>

Status of the payout

Available options:
ACTIVE,
INACTIVE
type
enum<string>

Type of the payout

Available options:
CONFIRMED,
PENDING,
MATCHED
amount
number

Total amount of the payout

Example:

50.01

date
string<date>

Date of the payout

Example:

"2021-01-04"

description
string

Description of the payout

Example:

"Online Banking payment"

creditAccountId
integer<int64>

Id of the credit account associated with this payout

debitAccountId
integer<int64>

Id of the debit account associated with this payout

apiTransactionId
string

Id of the transaction on associated API

bankAccountId
integer<int64>

Id of the user's bank account

bankDescription
string

Transaction description, similar to what will show on the user's bank statement

apiAccountNo
string

Mask of the user's bank account, often the last 4 digits of the account number

apiAccountName
string

Display name for the bank account from which this payout originated

Example:

"Citi Premier® Card"

apiInstitutionId
string

Name or id of the institution from which the transaction originated

matchingBankTransferId
integer<int64>

Id of the bank transfer matching this payout

customData
object

Custom JSON in which you can store any data with max length of 2000 characters

transactions
object[]

The itemized transactions included in the payout